## hamlib 1.2.15.3-1maemo4

=== debian/changelog ===
hamlib (1.2.15.3-1maemo4) unstable; urgency=low

  * Updated version and fixed depends.
  * Fixed doc optification.

 -- Xes <xes.maemo@gmail.com>  Tue, 09 Jun 2014 6:04:10 +0200
