=== debian/control ===
Source: hamlib
Section: hamradio
Priority: optional
Maintainer: Xes <xes.maemo@gmail.com>
Build-Depends: debhelper (>> 5.0.37.2), pkg-config, doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-dev, python-support (>= 0.3), libltdl3-dev, libgd2-xpm-dev
Build-Conflicts: hamlib-dev (<= 1.2.5-3)
Standards-Version: 3.9.3
XS-Python-Version: >= 2.4
Homepage: http://www.hamlib.org/

Package: libhamlib2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: hamlib1, hamlib2, hamlib3, hamlib4
Provides: hamlib4
Description: Run-time library to control radio transceivers and receivers
 Most recent amateur radio transceivers allow external control of their
 functions through a computer interface. Unfortunately, control commands are
 not always consistent across a manufacturer's product line and each
 manufacturer's product line differs greatly from its competitors.
 .
 This library addresses that issue by providing a standardised programming
 interface that applications can talk to and translating that into the
 appropriate commands required by the radio in use.
 .
 This package provides the C run-time form of the library. If you wish to
 develop software using this library you need the 'libhamlib-dev' package.

Package: libhamlib2++c2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: hamlib3++, hamlib3++c2, hamlib4++c2
Provides: hamlib4++c2
Description: Run-time library to control radio transceivers and receivers
 Most recent amateur radio transceivers allow external control of their
 functions through a computer interface. Unfortunately, control commands are
 not always consistent across a manufacturer's product line and each
 manufacturer's product line differs greatly from its competitors.
 .
 This library addresses that issue by providing a standardised programming
 interface that applications can talk to and translating that into the
 appropriate commands required by the radio in use.
 .
 This package provides the C++ run-time form of the library. If you wish to
 develop software using this library you need the 'libhamlib++-dev' package.

Package: libhamlib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libhamlib2 (= ${binary:Version}), libc6-dev, libusb-dev
Conflicts: hamlib-dev
Provides: hamlib-dev
Description: Development library to control radio transceivers and receivers
 Most recent amateur radio transceivers allow external control of their
 functions through a computer interface. Unfortunately, control commands are
 not always consistent across a manufacturer's product line and each
 manufacturer's product line differs greatly from its competitors.
 .
 This library addresses that issue by providing a standardised programming
 interface that applications can talk to and translating that into the
 appropriate commands required by the radio in use.
 .
 This package provides the development library with both C bindings.
 If you wish to run applications developed using this library you'll need the
 'libhamlib2' package.

Package: libhamlib++-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libhamlib2 (= ${binary:Version}), libhamlib-dev (= ${binary:Version}), libc6-dev
Conflicts: hamlib++-dev
Provides: hamlib++-dev
Description: Development library to control radio transceivers and receivers
 Most recent amateur radio transceivers allow external control of their
 functions through a computer interface. Unfortunately, control commands are
 not always consistent across a manufacturer's product line and each
 manufacturer's product line differs greatly from its competitors.
 .
 This library addresses that issue by providing a standardised programming
 interface that applications can talk to and translating that into the
 appropriate commands required by the radio in use.
 .
 This package provides the development library with C++ bindings.
 If you wish to run applications developed using this library you'll need the
 'libhamlib2++c2' package.

Package: libhamlib2-perl
Architecture: any
Section: perl
Depends: ${misc:Depends}, ${shlibs:Depends}, perl
Conflicts: hamlib3-perl, hamlib4-perl
Provides: hamlib4-perl
Description: Run-time library to control radio transceivers and receivers
 Most recent amateur radio transceivers allow external control of their
 functions through a computer interface. Unfortunately, control commands are
 not always consistent across a manufacturer's product line and each
 manufacturer's product line differs greatly from its competitors.
 .
 This library addresses that issue by providing a standardised programming
 interface that applications can talk to and translating that into the
 appropriate commands required by the radio in use.
 .
 This package provides the perl bindings of the library.

Package: libhamlib2-tcl
Architecture: any
Section: interpreters
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: hamlib3-tcl, hamlib4-tcl
Provides: hamlib4-tcl
Description: Run-time library to control radio transceivers and receivers
 Most recent amateur radio transceivers allow external control of their
 functions through a computer interface. Unfortunately, control commands are
 not always consistent across a manufacturer's product line and each
 manufacturer's product line differs greatly from its competitors.
 .
 This library addresses that issue by providing a standardised programming
 interface that applications can talk to and translating that into the
 appropriate commands required by the radio in use.
 .
 This package provides the Tcl bindings of the library.

Package: python-libhamlib2
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Conflicts: python2.3-hamlib3, python2.4-hamlib4, python2.3-libhamlib2
Replaces: python2.3-libhamlib2
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Run-time library to control radio transceivers and receivers
 Most recent amateur radio transceivers allow external control of their
 functions through a computer interface. Unfortunately, control commands are
 not always consistent across a manufacturer's product line and each
 manufacturer's product line differs greatly from its competitors.
 .
 This library addresses that issue by providing a standardised programming
 interface that applications can talk to and translating that into the
 appropriate commands required by the radio in use.
 .
 This package provides the Python bindings of the library.

Package: libhamlib-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: hamlib-utils
Provides: hamlib-utils
Description: Utilities to support the hamlib radio control library
 Most recent amateur radio transceivers allow external control of their
 functions through a computer interface. Unfortunately, control commands are
 not always consistent across a manufacturer's product line and each
 manufacturer's product line differs greatly from its competitors.
 .
 This library addresses that issue by providing a standardised programming
 interface that applications can talk to and translating that into the
 appropriate commands required by the radio in use.
 .
 This package provides a command-line utility to test the hamlib library and
 to control transceivers if you're short of anything more sophisticated.

Package: libhamlib-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Conflicts: hamlib-doc
Provides: hamlib-doc
Suggests: www-browser
Description: Documentation for the hamlib radio control library
 Most recent amateur radio transceivers allow external control of their
 functions through a computer interface. Unfortunately, control commands are
 not always consistent across a manufacturer's product line and each
 manufacturer's product line differs greatly from its competitors.
 .
 This library addresses that issue by providing a standardised programming
 interface that applications can talk to and translating that into the
 appropriate commands required by the radio in use.
 .
 This package provides the developers documentation for the API.
