## hamlib 3.0.1

=== debian/changelog ===
hamlib (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Ack the NMU
  * Bump Standards-version to 3.9.7

 -- Colin Tuckley <colint@debian.org>  Sat, 26 Mar 2016 14:18:50 +0000
