=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: hamlib
 Section: hamradio
 Priority: optional
-Maintainer: Xes <xes.maemo@gmail.com>
-Build-Depends: debhelper (>> 5.0.37.2), pkg-config, doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-dev, python-support (>= 0.3), libltdl3-dev, libgd2-xpm-dev
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
+Build-Depends: debhelper (>> 5.0.37.2), pkg-config, doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-dev, dh-python, libltdl3-dev, zlib1g-dev, libgd-dev, dpkg-dev (>= 1.16.0), dh-autoreconf
 Build-Conflicts: hamlib-dev (<= 1.2.5-3)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.7
 XS-Python-Version: >= 2.4
-Homepage: http://www.hamlib.org/
+Homepage: https://sourceforge.net/projects/hamlib/
 
 Package: libhamlib2
 Architecture: any
@@ -33,7 +34,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: hamlib3++, hamlib3++c2, hamlib4++c2
 Provides: hamlib4++c2
-Description: Run-time library to control radio transceivers and receivers
+Description: Run-time C++ library to control radio transceivers and receivers
  Most recent amateur radio transceivers allow external control of their
  functions through a computer interface. Unfortunately, control commands are
  not always consistent across a manufacturer's product line and each
@@ -69,10 +70,10 @@
 Package: libhamlib++-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libhamlib2 (= ${binary:Version}), libhamlib-dev (= ${binary:Version}), libc6-dev
+Depends: ${misc:Depends}, libhamlib2++c2 (= ${binary:Version}), libhamlib2 (= ${binary:Version}), libhamlib-dev (= ${binary:Version}), libc6-dev
 Conflicts: hamlib++-dev
 Provides: hamlib++-dev
-Description: Development library to control radio transceivers and receivers
+Description: Development C++ library to control radio transceivers and receivers
  Most recent amateur radio transceivers allow external control of their
  functions through a computer interface. Unfortunately, control commands are
  not always consistent across a manufacturer's product line and each
@@ -89,10 +90,10 @@
 Package: libhamlib2-perl
 Architecture: any
 Section: perl
-Depends: ${misc:Depends}, ${shlibs:Depends}, perl
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
 Conflicts: hamlib3-perl, hamlib4-perl
 Provides: hamlib4-perl
-Description: Run-time library to control radio transceivers and receivers
+Description: Run-time perl library to control radio transceivers and receivers
  Most recent amateur radio transceivers allow external control of their
  functions through a computer interface. Unfortunately, control commands are
  not always consistent across a manufacturer's product line and each
@@ -110,7 +111,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: hamlib3-tcl, hamlib4-tcl
 Provides: hamlib4-tcl
-Description: Run-time library to control radio transceivers and receivers
+Description: Run-time Tcl library to control radio transceivers and receivers
  Most recent amateur radio transceivers allow external control of their
  functions through a computer interface. Unfortunately, control commands are
  not always consistent across a manufacturer's product line and each
@@ -130,7 +131,7 @@
 Replaces: python2.3-libhamlib2
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
-Description: Run-time library to control radio transceivers and receivers
+Description: Run-time Python library to control radio transceivers and receivers
  Most recent amateur radio transceivers allow external control of their
  functions through a computer interface. Unfortunately, control commands are
  not always consistent across a manufacturer's product line and each
