## hamlib 3.1

=== debian/changelog ===
hamlib (3.1-7build1) bionic; urgency=medium

  * No-change rebuild against perlapi-5.26.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Nov 2017 05:34:41 +0000

hamlib (3.1-7) unstable; urgency=medium

  * Team upload
  * Fix wrong install location for rigclass.h and rotclass.h in
    package libhamlib++-dev (LP: #1216001)
  * Bump Standards Version 4.0.0

 -- Ervin Hegedus <airween@gmail.com>  Mon, 31 Jul 2017 13:22:15 +0200

hamlib (3.1-6) unstable; urgency=medium

  * Re-fix missing libhamlib-dev dependency on libusb-1.0-0-dev
    (fix got lost in 3.1-4) Closes: #867142.

 -- Colin Tuckley <colint@debian.org>  Sat, 22 Jul 2017 10:26:00 +0100

hamlib (3.1-5) unstable; urgency=medium

  * Remove lua .install files from debian/ in clean step.
    Closes: #869120.

 -- Colin Tuckley <colint@debian.org>  Fri, 21 Jul 2017 17:29:53 +0100

hamlib (3.1-4) unstable; urgency=medium

  * Team upload
  * Fixed Lua related packages build error on non x86_amd ARCH
    Closes: #869120.

 -- Ervin Hegedus <airween@gmail.com>  Thu, 20 Jul 2017 21:00:27 +0200

hamlib (3.1-3) unstable; urgency=medium

  * Team upload
  * Collected all copyrights from upstream
  * Collected all copyrights from debian/changelog

 -- Ervin Hegedus <airween@gmail.com>  Tue, 11 Jul 2017 14:47:10 +0200

hamlib (3.1-2) unstable; urgency=medium

  [ Ervin Hegedus ]
  * Team upload
  * Fixed broken libhamlib2-tcl package
  * Added libhamlib-lua packages

  [ Colin Tuckley ]
  * Fix missing libhamlib-dev dependency on libusb-1.0-0-dev
    Closes: #867142.
  * Move pytest.py from docs to examples

 -- Ervin Hegedus <airween@gmail.com>  Mon, 03 Jul 2017 12:08:39 +0200

hamlib (3.1-1) unstable; urgency=medium

  * New Upstream Release
  * libusb 1.0 now supported Closes: #810423.
  * Bump Standards-version to 3.9.8
  * Bump debhelper compat to 9

 -- Colin Tuckley <colint@debian.org>  Sun, 02 Jul 2017 16:19:00 +0100
