=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: hamlib
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
-Build-Depends: debhelper (>> 5.0.37.2), pkg-config, doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-dev, dh-python, libltdl3-dev, zlib1g-dev, libgd-dev, dpkg-dev (>= 1.16.0), dh-autoreconf
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>, Ervin Hegedus <airween@gmail.com>
+Build-Depends: debhelper (>= 9), pkg-config, doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-1.0-0-dev, dh-python, libltdl3-dev, zlib1g-dev, libgd-dev, dpkg-dev (>= 1.16.0), dh-autoreconf, dh-lua
 Build-Conflicts: hamlib-dev (<= 1.2.5-3)
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 XS-Python-Version: >= 2.4
 Homepage: https://sourceforge.net/projects/hamlib/
 
@@ -50,7 +51,7 @@
 Package: libhamlib-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libhamlib2 (= ${binary:Version}), libc6-dev, libusb-dev
+Depends: ${misc:Depends}, libhamlib2 (= ${binary:Version}), libc6-dev, libusb-1.0-0-dev
 Conflicts: hamlib-dev
 Provides: hamlib-dev
 Description: Development library to control radio transceivers and receivers
@@ -179,3 +180,21 @@
  appropriate commands required by the radio in use.
  .
  This package provides the developers documentation for the API.
+
+Package: lua-hamlib2
+Architecture: any
+Section: interpreters
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${lua:Depends}
+Provides: ${lua:Provides}
+XB-Lua-Version: ${lua:Versions}
+Description: Run-time Lua library to control radio transceivers and receivers
+ Most recent amateur radio transceivers allow external control of their
+ functions through a computer interface. Unfortunately, control commands are
+ not always consistent across a manufacturer's product line and each
+ manufacturer's product line differs greatly from its competitors.
+ .
+ This library addresses that issue by providing a standardised programming
+ interface that applications can talk to and translating that into the
+ appropriate commands required by the radio in use.
+ .
+ This package provides the Lua bindings of the library.
