=== debian/watch ===
version=2
http://sf.net/hamlib/hamlib-(.*)\.tar\.gz	debian	uupdate
