## hamlib 3.2

=== debian/changelog ===
hamlib (3.2-3) unstable; urgency=low

  * Bump debian/watch file to version 4.
  * Fix FTBFS uncatched syntax error. (Closes: #908294)

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Sat, 08 Sep 2018 14:35:53 +0200

hamlib (3.2-2) unstable; urgency=low

  * Fix Build-dep-Indep doc which cause FTBFS on 3.2-1.

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Tue, 28 Aug 2018 16:59:48 +0200

hamlib (3.2-1) unstable; urgency=low

  [ Ervin Hegedus ]
  * New upstream release
  * Changed perl-dirs.patch for new strucure of Makefile.in|am
  * Aligned rules to new tcltest build
  * Bump Standards Version 4.1.4
  * Added missing examples from *binding packages
  * Changed minimal Python version to 2.7
  * Added DEB_BUILD_MAINT_OPTIONS to rules with hardening=+all
  * Extended spelling-fixes.patch with rs/gp2000.c
  * Bump debhelper compat to 11
  * Changed copyright URL from http:// to https:// in d/copyright
  * Removed trailing whitespaces from d/changelog

  [ Enrico Rossi ]
  * Added python3 bindings and example.
  * Fix missing Vcs-* field.
  * Add lintian override for embedded doxygen jquery.
  * Some fix to keep the upstream source unmodified during
    re-building and clean.
  * Lintian fix XS-Python... control field.
  * Lintian fix udev install files.
  * Rewrite debian/rules to extensively use dh helper scripts.
  * enable multiarch support.
  * clean-up many unused debian/*.dirs and debian/*.install files.
  * Fix FTBFS on 3.1-8. (Closes: #906775)

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Thu, 23 Aug 2018 15:27:16 +0200

hamlib (3.1-8) unstable; urgency=medium

  * Switch to the default Tcl version from 8.5 since 8.5 is to be
    removed from Debian. Closes: #888682.
  * Move the Tcl library from /usr/lib/tcl8.5 to /usr/lib/tcltk/hamlib3.1
  * Bump Standards Version 4.1.3

 -- Ervin Hegedus <airween@gmail.com>  Sun, 28 Jan 2018 17:05:48 +0000
