=== debian/control ===
--- 
+++ 
@@ -1,19 +1,45 @@
 Source: hamlib
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>, Ervin Hegedus <airween@gmail.com>
-Build-Depends: debhelper (>= 9), pkg-config, doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-1.0-0-dev, dh-python, libltdl3-dev, zlib1g-dev, libgd-dev, dpkg-dev (>= 1.16.0), dh-autoreconf, dh-lua
-Build-Conflicts: hamlib-dev (<= 1.2.5-3)
-Standards-Version: 4.0.0
-XS-Python-Version: >= 2.4
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders:
+	Kamal Mostafa <kamal@whence.com>,
+	Colin Tuckley <colint@debian.org>,
+	Ervin Hegedus <airween@gmail.com>,
+	Enrico Rossi <e.rossi@tecnobrain.com>,
+Build-Depends:
+	debhelper (>= 11),
+	dh-lua,
+	dh-python,
+	dpkg-dev (>= 1.16.0),
+	libgd-dev,
+	libltdl3-dev,
+	libperl-dev,
+	libusb-1.0-0-dev,
+	pkg-config,
+	python-all-dev (>= 2.7),
+	python3-all-dev,
+	swig,
+	tcl-dev,
+	texinfo,
+	zlib1g-dev,
+Build-Depends-Indep:
+	doxygen,
+	graphviz,
+Build-Conflicts: hamlib-dev (<= 3.2-2)
+Standards-Version: 4.1.4
 Homepage: https://sourceforge.net/projects/hamlib/
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hamlib
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hamlib.git
 
 Package: libhamlib2
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+	${misc:Depends},
+	${shlibs:Depends},
 Conflicts: hamlib1, hamlib2, hamlib3, hamlib4
 Provides: hamlib4
 Description: Run-time library to control radio transceivers and receivers
@@ -32,7 +58,11 @@
 Package: libhamlib2++c2
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+	${misc:Depends},
+	${shlibs:Depends},
 Conflicts: hamlib3++, hamlib3++c2, hamlib4++c2
 Provides: hamlib4++c2
 Description: Run-time C++ library to control radio transceivers and receivers
@@ -51,7 +81,12 @@
 Package: libhamlib-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libhamlib2 (= ${binary:Version}), libc6-dev, libusb-1.0-0-dev
+Multi-Arch: same
+Depends:
+	${misc:Depends},
+	libc6-dev,
+	libhamlib2 (= ${binary:Version}),
+	libusb-1.0-0-dev,
 Conflicts: hamlib-dev
 Provides: hamlib-dev
 Description: Development library to control radio transceivers and receivers
@@ -71,7 +106,13 @@
 Package: libhamlib++-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libhamlib2++c2 (= ${binary:Version}), libhamlib2 (= ${binary:Version}), libhamlib-dev (= ${binary:Version}), libc6-dev
+Multi-Arch: same
+Depends:
+	${misc:Depends},
+	libc6-dev,
+	libhamlib-dev (= ${binary:Version}),
+	libhamlib2 (= ${binary:Version}),
+	libhamlib2++c2 (= ${binary:Version}),
 Conflicts: hamlib++-dev
 Provides: hamlib++-dev
 Description: Development C++ library to control radio transceivers and receivers
@@ -131,7 +172,6 @@
 Conflicts: python2.3-hamlib3, python2.4-hamlib4, python2.3-libhamlib2
 Replaces: python2.3-libhamlib2
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
 Description: Run-time Python library to control radio transceivers and receivers
  Most recent amateur radio transceivers allow external control of their
  functions through a computer interface. Unfortunately, control commands are
@@ -144,9 +184,29 @@
  .
  This package provides the Python bindings of the library.
 
+Package: python3-libhamlib2
+Architecture: any
+Section: python
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
+Description: Run-time Python3 library to control radio transceivers and receivers
+ Most recent amateur radio transceivers allow external control of their
+ functions through a computer interface. Unfortunately, control commands are
+ not always consistent across a manufacturer's product line and each
+ manufacturer's product line differs greatly from its competitors.
+ .
+ This library addresses that issue by providing a standardised programming
+ interface that applications can talk to and translating that into the
+ appropriate commands required by the radio in use.
+ .
+ This package provides the Python3 bindings of the library.
+
 Package: libhamlib-utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends:
+	${misc:Depends},
+	${shlibs:Depends},
 Conflicts: hamlib-utils
 Provides: hamlib-utils
 Description: Utilities to support the hamlib radio control library
@@ -163,9 +223,10 @@
  to control transceivers if you're short of anything more sophisticated.
 
 Package: libhamlib-doc
+Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Section: doc
 Conflicts: hamlib-doc
 Provides: hamlib-doc
 Suggests: www-browser
